Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class SingleEntryModuleLibrary

- org.gradle.plugins.ide.idea.model.SingleEntryModuleLibrary

- Single entry module library

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ModuleVersionIdentifier` | `moduleVersion` Module version of the library, if any.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SingleEntryModuleLibrary (FilePath library, FilePath javadoc, FilePath source, String scope)` Creates single entry module library
    `SingleEntryModuleLibrary (FilePath library, String scope)` Creates single entry module library

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getJavadocFile()` Returns a single javadoc jar or javadoc folder
    `File` | `getLibraryFile()` Returns a single jar or class folder
    `File` | `getSourceFile()` Returns a single source jar or source folder

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ModuleLibrary` | `addToNode, equals, hashCode, toString`

- - ### Property Detail

    - #### @Nullable ModuleVersionIdentifier moduleVersion

      Module version of the library, if any.

  - ### Constructor Detail

    - #### SingleEntryModuleLibrary(FilePath library, FilePath javadoc, FilePath source, String scope)

      Creates single entry module library

      Parameters:
        `library` - a path to jar or class folder in idea format
        `javadoc` - a path to javadoc jar or javadoc folder
        `source` - a path to source jar or source folder
        `scope` - scope
      Returns:

    - #### SingleEntryModuleLibrary(FilePath library, String scope)

      Creates single entry module library

      Parameters:
        `library` - a path to jar or class folder in Path format
        `scope` - scope
      Returns:

  - ### Method Detail

    - #### File getJavadocFile()

      Returns a single javadoc jar or javadoc folder

    - #### File getLibraryFile()

      Returns a single jar or class folder

    - #### File getSourceFile()

      Returns a single source jar or source folder